Get vendor by ID
https://api.propexo.com/v1/vendors/:vendor_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the vendor
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Contacts | GET /api/manager/contacts |
65The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Contacts | GET /api/manager/contacts |
87The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for RENTVINE
nullThe account number associated with the vendor
| Interface | Method |
|---|---|
| Contacts | GET /api/manager/contacts |
V-1001Whether the vendor is active
| Interface | Method |
|---|---|
| Contacts | GET /api/manager/contacts |
trueThe name associated with the vendor
| Interface | Method |
|---|---|
| Contacts | GET /api/manager/contacts |
Example Plumbing CoNotes associated with the vendor
This field will always be null for RENTVINE
nullThe tax payer identification number associated with the vendor
This field will always be null for RENTVINE
nullA unique value provided to the PMS to uniquely identify the vendor from your system.
This field will always be null for RENTVINE
nullThe type associated with the vendor
| Interface | Method |
|---|---|
| Contacts | GET /api/manager/contacts |
Plumbingcontacts object[]required
The first address line associated with the vendor
This field is not currently hydrated for RENTVINE
123 Main StThe second address line associated with the vendor
This field is not currently hydrated for RENTVINE
The city associated with the vendor
This field is not currently hydrated for RENTVINE
BostonThe country associated with the vendor
This field is not currently hydrated for RENTVINE
USThe state associated with the vendor
This field is not currently hydrated for RENTVINE
MAThe zip code associated with the vendor
This field is not currently hydrated for RENTVINE
02116Primary phone number associated with the vendor
This field is not currently hydrated for RENTVINE
Type of the primary phone number
This field is not currently hydrated for RENTVINE
The primary email address associated with the vendor
This field is not currently hydrated for RENTVINE
Whether the vendor is the primary record
This field is not currently hydrated for RENTVINE
The name associated with the vendor
This field is not currently hydrated for RENTVINE
custom_data object | nullrequired
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RENTVINEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRESMANYARDIYARDI_RESTRENTVINEThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/vendors/:vendor_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "65",
"x_property_id": "87",
"x_location_id": null,
"account_number": "V-1001",
"is_active": true,
"name": "Example Plumbing Co",
"notes": null,
"tax_id": null,
"third_party_id": null,
"type": "Plumbing",
"contacts": [
{
"address_1": "123 Main St",
"address_2": "string",
"city": "Boston",
"country": "US",
"state": "MA",
"zip": "02116",
"phone": "string",
"phone_type": "string",
"email": "string",
"is_primary": true,
"name": "string"
}
],
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTVINE",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}